(function ($) {
    $(window).on('elementor:init', function () {
        elementor.on('preview:loaded', function () {
            $(document).on('click', '.gn-preview-update button', function (e) {
                e.preventDefault();

                const $btn = $(this);
                $btn.prop('disabled', true);
                $btn.find('i').addClass('gn-spin');

                // Save Elementor changes
                elementor.saver.saveEditor({
                    status: 'publish',
                    onSuccess: function () {
                        // Reload the preview
                        // elementor.reloadPreview();
                        location.reload();
                        $btn.prop('disabled', false);
                        $btn.find('i').removeClass('gn-spin');
                    }
                });
            });
        });
    });
})(jQuery);